PPA 11.5 Released

Discussion in 'Plesk Automation Suggestions and Feedback' started by Andrew Andriatis, Dec 10, 2013.

  1. Andrew Andriatis

    Andrew Andriatis Odin Team

    Messages:
    437
    Parallels Plesk Automation version 11.5 is available now.

    PPA installer: http://download1.parallels.com/ppa/ppa_installer

    PPA upgrader: http://download1.parallels.com/ppa/ppa_upgrade

    Release Notes:
    http://download1.parallels.com/ppa/11.5/release-notes/parallels-plesk-automation-11.5-updates.html

    The product site on parallels.com is not updated yet. Please use this link to the online store to obtain the new main PPA key: https://shop.parallels.com:8443/store/default/buy.html/plan/306/price/965

    Note that PPA 11.5 licensing policy has changed. The management node license now includes all language packs and additional options used to be enabled via separate Plesk licenses and their options. Our recommendation is to obtain the license before you start upgrading. If you are enjoying Parallels Partner discounts, please contact your Parallels sales representative to obtain the license.

    Regards,
    Andrey Andriatis
    Parallels Plesk Automation Program Manager
     
    Finch_Data_Soft likes this.
  2. DondyB

    DondyB Kilo Poster

    Messages:
    26
    Great.. now I'm waiting for someone who's successfully do the in-place upgrade ...
     
  3. HMoellendorf87

    HMoellendorf87 Mega Poster

    Messages:
    245
    Am I right, that you now have directly to pay for PPA? The whole license policy has been changed???
     
  4. greenlight

    greenlight Bit Poster

    Messages:
    2
    The Update seems to be great.


    The Licence for the nodes-scenario are now avallaibe. (At least at my reseller)





    John
     
    Last edited: Dec 13, 2013
  5. UlrichD

    UlrichD Kilo Poster

    Messages:
    22
    Very small installation problems

    Congrats on the release.

    I have a small improvement that is also a help for international users.
    When you install using ppa_installer (and properly also for ppa_upgrade, although I have not tried it), it is important to set your console/shell/terminal language to C before you begin.

    It can be done simply by using this;
    Code:
    LANG=C; ./ppa_installer --password PASS --admin_email EMAIL
    So if you could fix the installer to set the environment language it would properly help a lot of international users getting premature grey hairs :)
     
  6. JanPPP

    JanPPP Kilo Poster

    Messages:
    25
    failed upgrade

    Hello,
    after i run
    Code:
    ./ppa_upgrade --upgrade
    i get this error:
    Code:
    [INFO]: Downloading required PPA distributives...
    [INFO]: Checking for PPA version '11.5.0 RELEASE' updates...
    
    [INFO]: No new updates are available
    [INFO]: Performing PRE upgrade actions...
    [INFO]: Checking the availability of hosts registered in PPA...
    [INFO]: Checking that service 'pem' is running...
    [INFO]: Checking host 'mng1.host.prod.nds (1)' succeeded.
    [INFO]: Checking host 'db1 (2)' succeeded.
    [INFO]: Checking host 'http1.host.prod.nds (3)' succeeded.
    [INFO]: Checking whether PPA hosts meet the OS version requirements...
    2013-12-16 14:12:35.660 DEBUG Executing command: '['/usr/local/pem/bin/pleskd_ctl', '-f', '/usr/local/pem/etc/pleskd.props', '-s', '1', 'processHCL', '/tmp/tmp5o3xaK', '1']'
    [INFO]: Checking host 'mng1.host.prod.nds (1)' succeeded.
    2013-12-16 14:12:35.788 DEBUG Executing command: '['/usr/local/pem/bin/pleskd_ctl', '-f', '/usr/local/pem/etc/pleskd.props', '-s', '40', 'processHCL', '/tmp/tmpTosTvb', '2']'
    [INFO]: Checking host 'db1 (2)' succeeded.
    2013-12-16 14:12:35.915 DEBUG Executing command: '['/usr/local/pem/bin/pleskd_ctl', '-f', '/usr/local/pem/etc/pleskd.props', '-s', '41', 'processHCL', '/tmp/tmpdHzISR', '3']'
    [INFO]: Checking host 'http1.host.prod.nds (3)' succeeded.
    [INFO]: Checking whether the amount of memory on the server is enough...
    [INFO]: Memory w/o swap: 7986 MB
    [INFO]: Checking whether there is enough free disk space to download the new PPA version and run an upgrade...
    [INFO]: Checking that daily maintenance script is not running...
    [INFO]: Shifting next daily maintenance script execution 24 hours forward...
    [INFO]: Checking if there are any tasks in the task manager...
    [INFO]: Backing up PPA databases...
    [INFO]: Backing up POA database to '/usr/local/ppa/tmp/ppa-upgrade-db-backups/2013-12-16-14-12-39/poa-db-backup.sql'
    [ERROR]: Failed to execute command: pg_dump -h`hostname` -U plesk plesk > /usr/local/ppa/tmp/ppa-upgrade-db-backups/2013-12-16-14-12-39/poa-db-backup.sql
    [ERROR]: See update log file /usr/local/ppa/log/ppaupdate.log for details.
    This is strange, because pg_dump it seems to make backup "plesk" db, but db with this name not exist.
    Code:
    mysql> show databases;
    +-------------------------+
    | Database                |
    +-------------------------+
    | information_schema      |
    | apsc                    |
    | atmail                  |
    | billing                 |
    | horde                   |
    | mysql                   |
    | phpmyadmin_J3ydyH5WL2XO |
    | psa                     |
    | sitebuilder5            |
    | task_manager            |
    +-------------------------+
    10 rows in set (0.00 sec)
    
     
  7. greenlight

    greenlight Bit Poster

    Messages:
    2
    Hello JanPPP,

    I had the same problem.

    I opened a ticket, the support fixed it afterwards.

    Best regards,
    John
     
  8. HMoellendorf87

    HMoellendorf87 Mega Poster

    Messages:
    245
    Hi all,

    the plesk db is on postgresql, not on mysql!
    could you send me all log files?
     
  9. JanPPP

    JanPPP Kilo Poster

    Messages:
    25
    Last edited: Dec 16, 2013
  10. HMoellendorf87

    HMoellendorf87 Mega Poster

    Messages:
    245
    Hi,

    is this the ppaupdate.log?
     
  11. JanPPP

    JanPPP Kilo Poster

    Messages:
    25
    Yes, it is.
     
  12. HMoellendorf87

    HMoellendorf87 Mega Poster

    Messages:
    245
    What happens, when you execute the command manually?
     
  13. JanPPP

    JanPPP Kilo Poster

    Messages:
    25
    Actually, i figured out with this ugly hack in ppa_upgrade script:
    Code:
    @staticmethod
        def _backupPOAPostgreSQLDatabase(backupFilename):
            #psexec.execCmd('pg_dump -h`hostname` -U plesk plesk > %s' % (quote(backupFilename)))
            pass
    


    Code:
    pg_dump: [archiver (db)] connection to database "plesk" failed: FATAL:  Ident authentication fa
    iled for user "plesk"
     
    Last edited: Dec 16, 2013
  14. HMoellendorf87

    HMoellendorf87 Mega Poster

    Messages:
    245
    It looks like a permission problem in PGSQL!
     
  15. SpamExperts_nd

    SpamExperts_nd Bit Poster

    Messages:
    3
    congrats on the release. Will get our dev-team to take a look now to see what new things are possible. Thanks!

    Nils
     
  16. Richard Maynard

    Richard Maynard Kilo Poster

    Messages:
    23
    Ok, so decided to give this a go and the upgrade tool fell over almost immediately:

    [INFO]: Downloading required PPA distributives...
    [ERROR]: Failed to download file: http://autoinstall.plesk.com//PPA_11.5.0/Plesk/Autoinstaller_latest/CentOS-5-x86_64: [Errno 14] HTTP Error 400: Bad Request
    [ERROR]: See update log file /usr/local/ppa/log/ppaupdate.log for details.

    The file in the URL above downloads fine with wget so it's not a network problem. ppaupdate.log reports the same error:

    2013-12-30 17:53:01,179 [INFO]: Downloading required PPA distributives...
    2013-12-30 17:53:01,180 [DEBUG]: Downloading Parallels Plesk Installer...
    2013-12-30 17:53:01,180 [DEBUG]: AI URL: http://autoinstall.plesk.com//PPA_11.5.0/Plesk/Autoinstaller_latest/CentOS-5-x86_64
    2013-12-30 17:53:01,180 [DEBUG]: AI Path: /var/cache/ppa/dists/PPA_11.5.0/Plesk/ai
    2013-12-30 17:53:01,180 [DEBUG]: Downloading: http://autoinstall.plesk.com//PPA_11.5.0/Plesk/Autoinstaller_latest/CentOS-5-x86_64 -> /var/cache/ppa/dists/PPA_11.5.0/Plesk/ai
    2013-12-30 17:53:01,180 [DEBUG]: Downloading...
    2013-12-30 17:53:01,193 [ERROR]: Failed to download file: http://autoinstall.plesk.com//PPA_11.5.0/Plesk/Autoinstaller_latest/CentOS-5-x86_64: [Errno 14] HTTP Error 400: Bad Request
    2013-12-30 17:53:01,193 [ERROR]: See update log file /usr/local/ppa/log/ppaupdate.log for details.


    Any ideas?!
     
    Last edited: Dec 30, 2013
  17. Andrew Andriatis

    Andrew Andriatis Odin Team

    Messages:
    437
    Please, open the support ticket. I cannot reproduce it on our test environment. Something specific to your server setup. Support will follow up.
     
  18. Richard Maynard

    Richard Maynard Kilo Poster

    Messages:
    23
    Support came back to me overnight in response to my ticket - the upgrade installer was broken:

    Code:
    --- ppa_upgrade.orig    2013-12-12 12:02:15.000000000 +0000
    +++ ppa_upgrade 2013-12-31 07:04:51.000000000 +0000
    @@ -226,7 +226,7 @@
    
    
            self._ppaDists = []
             for ppaVer, update, distDir in self.defs.PPA_VERSIONS:
    -            distUrl = '/'.join([sourceUrl, distDir])
    +            distUrl = os.path.join(sourceUrl, distDir) #'/'.join([sourceUrl, distDir])
                 distVer = version.PPAVersion(ppaVer, update)
                 self._ppaDists.append(self._getDist(distVer, distUrl))
    
     
  19. Andrew Andriatis

    Andrew Andriatis Odin Team

    Messages:
    437
    Can you give me the ticket #, please?
     
  20. Richard Maynard

    Richard Maynard Kilo Poster

    Messages:
    23
    Sent you a private message.
     

Share This Page